Component deployments
Get one custom-component deployment attempt.
Get one custom-component deployment attempt. The request validates the component lifecycle and current runtime deployment state.
GET
/
api
/
v1
/
component
/
{componentId}
/
deployments
/
{deploymentId}
Get one custom-component deployment attempt.
curl --request GET \
--url https://api.revoengine.com/api/v1/component/{componentId}/deployments/{deploymentId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/component/{componentId}/deployments/{deploymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/component/{componentId}/deployments/{deploymentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"deploymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionNumber": 8,
"attempt": 1,
"status": "QUEUED",
"sourceDigest": "<string>",
"artifactReady": true,
"queuedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"stage": "PREPARING",
"error": {
"code": "DEPENDENCY_INSTALL_FAILED",
"message": "The deployment could not install one or more dependencies.",
"retryable": true
},
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}Authorizations
Bearer JWT token or API Key (sk-*).
Response
Required range:
x >= 1Example:
8
Required range:
x >= 1Example:
1
Available options:
QUEUED, DEPLOYING, READY, FAILED, SUPERSEDED, CANCELED, EXPIRED SHA-256 digest of the immutable revision source.
Whether this attempt produced a verified artifact.
Example:
true
Available options:
PREPARING, UPLOADING, BUILDING, VERIFYING, PROMOTING Show child attributes
Show child attributes
⌘I
Get one custom-component deployment attempt.
curl --request GET \
--url https://api.revoengine.com/api/v1/component/{componentId}/deployments/{deploymentId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/component/{componentId}/deployments/{deploymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/component/{componentId}/deployments/{deploymentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"deploymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionNumber": 8,
"attempt": 1,
"status": "QUEUED",
"sourceDigest": "<string>",
"artifactReady": true,
"queuedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"stage": "PREPARING",
"error": {
"code": "DEPENDENCY_INSTALL_FAILED",
"message": "The deployment could not install one or more dependencies.",
"retryable": true
},
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
